<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\DB;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        if(App::isLocal()) DB::disableQueryLog();

        $this->call(PreferenceSeeder::class);
        $this->call(DefaultRolesSeeder::class);
        $this->call(PlanSeeder::class);
        $this->call(CompanySeeder::class);
        $this->call(ExercisesTableSeeder::class);
        $this->call(TrainingWorkoutTemplatesSeeder::class);
        $this->call(SettingsSeeder::class);
        $this->call(PaymentTypeSeeder::class);
        $this->call(TrainingTypeTableSeeder::class);
        $this->call(UsersTableSeeder::class);
        $this->call(BoxesTableSeeder::class);
        $this->call(SuperAdminUserSeeder::class);
        $this->call(TrainingSessionSeeder::class);
        $this->call(PaySomeInvoicesSeeder::class);
        $this->call(LegalSeeder::class);
    }
}
